aboutsummaryrefslogtreecommitdiff
path: root/sysutils/moosefs-chunkserver/files/pkg-install.in
diff options
context:
space:
mode:
Diffstat (limited to 'sysutils/moosefs-chunkserver/files/pkg-install.in')
-rw-r--r--sysutils/moosefs-chunkserver/files/pkg-install.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/sysutils/moosefs-chunkserver/files/pkg-install.in b/sysutils/moosefs-chunkserver/files/pkg-install.in
new file mode 100644
index 000000000000..99a254a25607
--- /dev/null
+++ b/sysutils/moosefs-chunkserver/files/pkg-install.in
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+PATH=/bin:/usr/sbin
+
+if [ "$2" != "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+ USER=mfs
+ GROUP=${USER}
+ UID=925
+ GID=${UID}
+
+ if pw group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if pw groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d /nonexistent -s /sbin/nologin -c "MySQL Daemon"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+exit 0